Package net.shibboleth.idp.attribute.filter.matcher.impl

# Class AttributeValueStringMatcher

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.matcher.impl.AbstractMatcher
net.shibboleth.idp.attribute.filter.matcher.impl.AbstractStringMatcher
net.shibboleth.idp.attribute.filter.matcher.impl.AttributeValueStringMatcher

All Implemented Interfaces:
  `Matcher`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class AttributeValueStringMatcher extends AbstractStringMatcher
Test that an `IdPAttributeValue` is a string match to the configured string.

If the value is not a `StringAttributeValue` string it is coerced into a string via the value's `Object.toString()` method.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

### Fields inherited from interface net.shibboleth.idp.attribute.filter.Matcher

`MATCHER_FAILS, MATCHES_ALL, MATCHES_NONE`

## Constructor Summary

Constructors
Constructor
Description
`AttributeValueStringMatcher()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compareAttributeValue(IdPAttributeValue value)`
Given a value do we match?

### Methods inherited from class net.shibboleth.idp.attribute.filter.matcher.impl.AbstractStringMatcher

`getMatchString, isCaseSensitive, setCaseSensitive, setMatchString, stringCompare`

### Methods inherited from class net.shibboleth.idp.attribute.filter.matcher.impl.AbstractMatcher

`doInitialize, getLogPrefix, getMatchingValues`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.attribute.filter.Matcher

`getMatchingValues`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### AttributeValueStringMatcher

public AttributeValueStringMatcher()

## Method Details

### compareAttributeValue

public boolean compareAttributeValue(@Nullable IdPAttributeValue value)
Given a value do we match?

Specified by:
  `compareAttributeValue` in class `AbstractMatcher`
Parameters:
  `value` - the value to look at
Returns:
  yes if we do, otherwise no.